<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.bc_chat.im">

    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="com.coloros.mcs.permission.RECIEVE_MCS_MESSAGE" />
    <!--HMS-SDK引导升级HMS功能，访问OTA服务器需要网络权限-->
    <uses-permission android:name="android.permission.INTERNET" />
    <!--HMS-SDK引导升级HMS功能，保存下载的升级包需要SD卡写权限-->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
    <!--检测网络状态-->
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!--检测wifi状态-->
    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <!--为了获取用户手机的IMEI，用来唯一的标识用户。-->
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />

    <!--如果是安卓8.0，应用编译配置的targetSdkVersion>=26，请务必添加以下权限 -->
    <uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />

    <!-- 小米 配置开始 < -->
    <permission
        android:name="${applicationId}.permission.MIPUSH_RECEIVE"
        android:protectionLevel="signature" />
    <uses-permission android:name="${applicationId}.permission.MIPUSH_RECEIVE" /> <!-- 小米 配置结束 < -->

    <!-- 推送需要的权限列表 -->
    <uses-permission android:name="android.permission.INTERNET" />

    <!-- MeiZu 配置开始 < -->
    <!-- 兼容 flyme5.0 以下版本，魅族内部集成 pushSDK 必填，不然无法收到 消息-->
    <uses-permission android:name="com.meizu.flyme.push.permission.RECEIVE" />
    <permission
        android:name="com.sinata.feixin.push.permission.MESSAGE"
        android:protectionLevel="signature" />
    <uses-permission android:name="com.sinata.feixin.push.permission.MESSAGE" />
    <!-- 兼容 flyme3.0 配置权限-->
    <uses-permission android:name="com.meizu.c2dm.permission.RECEIVE" />
    <!-- MeiZu 配置结束 < -->

    <application
        android:name="com.bc_chat.bc_base.BCApplication"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">

        <activity
            android:name=".activity.ChatActivity"
            android:launchMode="singleTop"
            android:screenOrientation="portrait"
            android:windowSoftInputMode="stateHidden|adjustResize">
            <intent-filter>
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.DEFAULT" />
                <data
                    android:host="com.sinata.feixin"
                    android:pathPrefix="/conversation/"
                    android:scheme="rong" />
            </intent-filter>
        </activity>
        <activity android:name=".activity.MapLocationActivity" />
        <activity
            android:name=".activity.ChatPictureActivity"
            android:label="图片和视频" />
        <activity android:name=".activity.ForwardActivity" />
        <activity android:name=".activity.SearchChatRecordActivity" />
        <activity
            android:name=".activity.SendVibrationDetailActivity"
            android:theme="@android:style/Theme.Dialog" />
        <activity android:name=".activity.VibrationDetailsActivity" />
        <activity
            android:name=".activity.CollectionActivity"
            android:label="收藏" />
        <activity android:name=".activity.PicturePreviewActivity" />

        <service
            android:name="com.coloros.mcssdk.PushService"
            android:permission="com.coloros.mcs.permission.SEND_MCS_MESSAGE">
            <intent-filter>
                <action android:name="com.coloros.mcs.action.RECEIVE_MCS_MESSAGE" />
            </intent-filter>
        </service>
        <meta-data
            android:name="com.huawei.hms.client.appid"
            android:value="101135009" />
        <!-- BridgeActivity定义了HMS-SDK中一些跳转所需要的透明页面-->
        <activity
            android:name="com.huawei.hms.activity.BridgeActivity"
            android:configChanges="orientation|locale|screenSize|layoutDirection|fontScale"
            android:excludeFromRecents="true"
            android:exported="false"
            android:hardwareAccelerated="true"
            android:theme="@android:style/Theme.Translucent">
            <meta-data
                android:name="hwc-theme"
                android:value="androidhwext:style/Theme.Emui.Translucent" />
        </activity>
        <activity
            android:name="com.bc_chat.im.activity.PicturePagerActivity"
            android:exported="false"
            android:theme="@android:style/Theme.NoTitleBar.Fullscreen">
            <intent-filter>
                <action android:name="io.rong.imkit.intent.action.picturepagerview" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <!--        &lt;!&ndash; 解决华为移动服务升级问题的透明界面（必须声明）&ndash;&gt;-->
        <!--        <activity-->
        <!--            android:name="com.huawei.android.hms.agent.common.HMSAgentActivity"-->
        <!--            android:configChanges="orientation|locale|screenSize|layoutDirection|fontScale"-->
        <!--            android:excludeFromRecents="true"-->
        <!--            android:exported="false"-->
        <!--            android:hardwareAccelerated="true"-->
        <!--            android:theme="@android:style/Theme.Translucent">-->
        <!--            <meta-data-->
        <!--                android:name="hwc-theme"-->
        <!--                android:value="androidhwext:style/Theme.Emui.Translucent" />-->
        <!--        </activity>-->

        <provider
            android:name="com.huawei.hms.update.provider.UpdateProvider"
            android:authorities="com.sinata.feixin.hms.update.provider"
            android:exported="false"
            android:grantUriPermissions="true"></provider>
        <!-- 第三方相关 :接收Push消息（注册、Push消息、Push连接状态）广播 -->
        <receiver android:name="io.rong.push.platform.hms.HMSReceiver">
            <intent-filter>
                <!-- 必须,用于接收token -->
                <action android:name="com.huawei.android.push.intent.REGISTRATION" />
                <!-- 必须，用于接收消息 -->
                <action android:name="com.huawei.android.push.intent.RECEIVE" />
                <!-- 可选，用于点击通知栏或通知栏上的按钮后触发onEvent回调 -->
                <action android:name="com.huawei.android.push.intent.CLICK" />
                <!-- 可选，查看push通道是否连接，不查看则不需要 -->
                <action android:name="com.huawei.intent.action.PUSH_STATE" />
            </intent-filter>
        </receiver>
        <receiver android:name="com.huawei.hms.support.api.push.PushEventReceiver">
            <intent-filter>
                <!-- 接收通道发来的通知栏消息，兼容老版本Push -->
                <action android:name="com.huawei.intent.action.PUSH" />
            </intent-filter>
        </receiver>
        <!-- 小米 配置开始 < -->
        <service
            android:name="com.xiaomi.push.service.XMPushService"
            android:enabled="true" />
        <service
            android:name="com.xiaomi.mipush.sdk.PushMessageHandler"
            android:enabled="true"
            android:exported="true" />
        <service
            android:name="com.xiaomi.mipush.sdk.MessageHandleService"
            android:enabled="true" />
        <!--注：此service必须在2.2.5版本以后（包括2.2.5版本）加入-->

        <service
            android:name="com.xiaomi.push.service.XMJobService"
            android:enabled="true"
            android:exported="false"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <!--注：此service必须在3.0.1版本以后（包括3.0.1版本）加入-->

        <receiver
            android:name="com.xiaomi.push.service.receivers.NetworkStatusReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="android.net.conn.CONNECTIVITY_CHANGE" />
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </receiver>
        <receiver
            android:name="com.xiaomi.push.service.receivers.PingReceiver"
            android:exported="false">
            <intent-filter>
                <action android:name="com.xiaomi.push.PING_TIMER" />
            </intent-filter>
        </receiver>
        <receiver
            android:name="io.rong.push.platform.mi.MiMessageReceiver"
            android:exported="true">
            <intent-filter>
                <action android:name="com.xiaomi.mipush.RECEIVE_MESSAGE" />
            </intent-filter>
            <intent-filter>
                <action android:name="com.xiaomi.mipush.MESSAGE_ARRIVED" />
            </intent-filter>
            <intent-filter>
                <action android:name="com.xiaomi.mipush.ERROR" />
            </intent-filter>
        </receiver>
        <!-- 小米 配置结束 < -->

        <!-- vivo 推送服务需要配置的 service、activity -->
        <service
            android:name="com.vivo.push.sdk.service.CommandClientService"
            android:exported="true" />

        <activity
            android:name="com.vivo.push.sdk.LinkProxyClientActivity"
            android:exported="false"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />

        <activity
            android:name=".activity.envelopes.SendGroupEnvelopesActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/hongbao" />
        <activity
            android:name=".activity.envelopes.SendSingleEnvelopesActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/hongbao" />
        <activity
            android:name=".activity.envelopes.ChatRedDetailsActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/hongbao" />
        <activity
            android:name=".activity.envelopes.ModifyPayPasswordActivity"
            android:configChanges="keyboardHidden|orientation|screenSize" />
        <activity
            android:name=".activity.envelopes.MyWalletActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="我的钱包" />
        <activity
            android:name=".activity.envelopes.MucRedDetailsActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="@string/hongbao" />
        <activity
            android:name=".activity.envelopes.RedPacketRecordActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="红包记录" />
        <activity
            android:name=".activity.envelopes.ApplyWithdrawalActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="申请提现" />
        <activity
            android:name=".activity.envelopes.WithdrawalRecordActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="提现记录" />
        <activity
            android:name=".activity.envelopes.FriendApplyRecordActivity"
            android:configChanges="keyboardHidden|orientation|screenSize"
            android:label="新朋友" />
        <activity
            android:name=".activity.GifPicturePreviewActivity"
            android:configChanges="keyboardHidden|orientation|screenSize" />

        <!-- vivo push 推送 receiver 声明 -->
        <receiver android:name="io.rong.push.platform.vivo.VivoPushMessageReceiver">
            <intent-filter>
                <!-- 接收 vivo push 消息 -->
                <action android:name="com.vivo.pushclient.action.RECEIVE" />
            </intent-filter>
        </receiver>
        <!-- vivo 推送配置项 -->
        <meta-data
            android:name="com.vivo.push.api_key"
            android:value="71b3e481-bf68-45b1-ab9d-e5060b7cd379" />
        <meta-data
            android:name="com.vivo.push.app_id"
            android:value="17968" />

        <!-- MeiZu 配置开始 < -->
        <receiver android:name="io.rong.push.platform.meizu.MeiZuReceiver">
            <intent-filter>
                <!-- 接收 push 消息 -->
                <action android:name="com.meizu.flyme.push.intent.MESSAGE" />
                <!-- 接收 register 消息 -->
                <action android:name="com.meizu.flyme.push.intent.REGISTER.FEEDBACK" />
                <!-- 接收 unregister 消息-->
                <action android:name="com.meizu.flyme.push.intent.UNREGISTER.FEEDBACK" />
                <!-- 兼容低版本 Flyme3 推送服务配置 -->
                <action android:name="com.meizu.c2dm.intent.REGISTRATION" />
                <action android:name="com.meizu.c2dm.intent.RECEIVE" />

                <category android:name="com.sinata.feixin" />
            </intent-filter>
        </receiver>
        <!-- MeiZu 配置结束 < -->
    </application>

</manifest>